uk.gov.hmrc.payeestimator.services

# EmployeeRateCalculator

###
Related Doc: package services

#### case class EmployeeRateCalculator(grossPay: Money, limitId: Int, taxCalcResource: TaxCalcResource) extends Calculator with TaxCalculatorHelper with EmployeeEmployerCalculations with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, EmployeeEmployerCalculations, TaxCalculatorHelper, Calculator, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EmployeeRateCalculator
2. Serializable
3. Serializable
4. Product
5. Equals
6. EmployeeEmployerCalculations
7. TaxCalculatorHelper
8. Calculator
9. AnyRef
10. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new EmployeeRateCalculator(grossPay: Money, limitId: Int, taxCalcResource: TaxCalcResource)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def calculate(): RateCalculatorResponse

   Definition Classes
     EmployeeRateCalculator → Calculator

6. #### def calculateRate(leftLimit: Money, rightLimit: Money): RateResult

   Definition Classes
     EmployeeEmployerCalculations

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def collectRateLimit(limit: String, collection: Seq[RateLimit]): Money

   Definition Classes
     EmployeeEmployerCalculations

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### def findThresholdLimit(limit: String): Money

    Definition Classes
      EmployeeEmployerCalculations

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val grossPay: Money

    Definition Classes
      EmployeeRateCalculator → EmployeeEmployerCalculations

14. #### def isAdjustedTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

15. #### def isAnnual(payPeriod: String): Boolean

    Attributes
      protected
    Definition Classes
      Calculator

16. #### def isBasicRateTaxCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

17. #### def isEmergencyTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

18. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

19. #### def isStandardTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

20. #### def isTaxableCode(taxCode: String, isScottish: Boolean = false): Boolean

    Definition Classes
      TaxCalculatorHelper

21. #### def isUnTaxedIncomeTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

22. #### def isValidScottishTaxCode(taxCode: String): Boolean

    Definition Classes
      TaxCalculatorHelper

23. #### def isValidTaxCode(taxCode: String, taxCalcResource: TaxCalcResource): Boolean

    Definition Classes
      TaxCalculatorHelper

24. #### val limitId: Int

25. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

26. #### val nicRateLimit: NICRateLimits

    Definition Classes
      EmployeeEmployerCalculations

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### lazy val primaryThresholdLimit: Money

    Definition Classes
      EmployeeEmployerCalculations

30. #### def rate: BigDecimal

    Definition Classes
      EmployeeRateCalculator → EmployeeEmployerCalculations

31. #### def rateLimit(limitType: String): PartialFunction[RateLimit, Money]

    Definition Classes
      TaxCalculatorHelper

32. #### def removeCountryElementFromTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

33. #### lazy val secondaryThresholdLimit: Money

    Definition Classes
      EmployeeEmployerCalculations

34. #### def splitTaxCode(taxCode: String): String

    Definition Classes
      TaxCalculatorHelper

35. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

36. #### val taxCalcResource: TaxCalcResource

    Definition Classes
      EmployeeRateCalculator → EmployeeEmployerCalculations

37. #### lazy val upperEarningLimit: Money

    Definition Classes
      EmployeeEmployerCalculations

38. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

41. #### def zeroRate: RateResult

    Definition Classes
      EmployeeEmployerCalculations

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from EmployeeEmployerCalculations

### Inherited from TaxCalculatorHelper

### Inherited from Calculator

### Inherited from AnyRef

### Inherited from Any

### Ungrouped